# std::scoped_allocator_adaptor::max_size

From cppreference.com
< cpp‎ | memory‎ | scoped allocator adaptor

Defined in header `<scoped_allocator>` |  |
size_type max_size() const; |  | (since C++11)

Reports the maximum allocation size supported by the outer allocator, by calling std::allocator_traits<OuterAlloc>::max_size(outer_allocator())

### Parameters

(none)

### Return value

The maximum allocation size for OuterAlloc.

### See also

max_size (deprecated in C++17) | returns the largest supported allocation size (public member function of `std::allocator`)
max_size [static] | returns the maximum object size supported by the allocator (public static member function of `std::allocator_traits`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/scoped_allocator_adaptor/max_size&oldid=80246"